%global packname  genetics

Name:             R-%{packname}
Version:          1.3.4
Release:          4%{?dist}
Summary:          R functions for Population Genetics

Group:            Applications/Productivity
License:          GPL+
URL:              http://cran.r-project.org/web/packages/genetics/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires:         R-core,  R-combinat, R-mvtnorm, R-gdata, R-gtools, R-MASS
BuildRequires:    R-devel, R-combinat, R-mvtnorm, R-gdata, R-gtools, R-MASS
BuildRequires:    tex(latex)

%description
Classes and methods for handling genetic data. Includes classes to represent
genotypes and haplotypes at single markers up to multiple markers on multiple
chromosomes. Function include allele frequencies, flagging homo/heterozygotes,
flagging carriers of certain alleles, estimating and testing for Hardy-Weinberg
disequilibrium, estimating and testing for linkage disequilibrium, ...

%prep
%setup -c -q -n %{packname}
%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/ChangeLog
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/data/
%{_datadir}/R/library/%{packname}/help/

%changelog
* Sat May 08 2010 josef radinger <cheese@nosuchhost.net> 
- 1.3.4-4
- fix buildrequires

* Fri Apr 09 2010 josef radinger <cheese@nosuchhost.net> 
- 1.3.4-3
- enable check

* Thu Apr 08 2010 josef radinger <cheese@nosuchhost.net> 
- 1.3.4-2
- shorten description
- GPL+, as there is no clear statement which version of GPL is in action.

* Wed Apr 07 2010 josef radinger <cheese@nosuchhost.net> 
- 1.3.4-1
- initial release
